Intermittent border-collapse-table-column-group.html | image comparison (==), max difference: 255, number of differing pixels: 16039, 33174

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
9 years ago
5 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Linux
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

Created attachment 407685 [details]
reftest failure log (with image data)

This reftest just sporadically failed:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256173809.1256176261.30571.gz
Linux mozilla-central test opt everythingelse on 2009/10/21 18:10:09

{
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/moz2_slave/mozilla-central-linux-opt-unittest-everythingelse/build/reftest/tests/layout/reftests/table-background/border-collapse-table-column-group.html |
}

Attached log has the image data-urls, suitable for pasting into
http://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml

The only "blame" patch was
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=a8dacfc7dfcc&tochange=2b9f7c28c481
which was a minor bustage fix that couldn't have caused this regression.  (Moreover, this test passed in the following cycle)
Whiteboard: [orange]
No longer blocks: 421069
Depends on: 421069
Looking at the failure in the reftest log, it looks like the third table's background image is what doesn't match.

In the testcase, it's shifted 1px down and to the right, as compared to the reference case.
(In reply to comment #1)
> In the testcase, it's shifted 1px down and to the right, as compared to the
> reference case.

Sorry, that wasn't exactly correct.

The problem is that the third displayed image (or rather, the element that the image is a background for -- i.e. the third table?) in the testcase is exactly 2px too tall.  It's 99px high, while the others (and the matching image in the reference case) are 97px high.

If I edit the testcase-snapshot to move the third image up by 2px and delete its topmost 2px-tall strip, then it matches the reference case snapshot perfectly.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256740128.1256743706.24971.gz
Linux mozilla-central test everythingelse on 2009/10/28 07:28:48
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1258965392.1258967931.24173.gz
Linux mozilla-1.9.2 test everythingelse on 2009/11/23 00:36:32
Also seen on OS X:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261452944.1261455055.7615.gz
OS X 10.5.2 mozilla-central test everythingelse on 2009/12/21 19:35:44
s: bm-xserve17
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Updated

6 years ago
Summary: reftest border-collapse-table-column-group.html sporadically fails → Intermittent border-collapse-table-column-group.html | image comparison (==), max difference: 255, number of differing pixels: 16039
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: Intermittent border-collapse-table-column-group.html | image comparison (==), max difference: 255, number of differing pixels: 16039 → Intermittent border-collapse-table-column-group.html | image comparison (==), max difference: 255, number of differing pixels: 16039, 33174
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Closing inactive keywords:intermittent-failure bugs where the TBPLbot has previously commented and the test isn't marked as disabled; filter on orange-cleanup-201401.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.